/*
*	WGPrefOtrDontDownloadTableDataSource.h
*
*  Copyright (c) 2001 Tomonori Tomatsu. All rights reserved.
*/
#import <Cocoa/Cocoa.h>
#import "WGPreferenceOtherController.h"	// for Notification

@interface WGPrefOtrDontDownloadTableDataSource : NSObject
{
    IBOutlet id		_dontDownloadTableView;
    NSTableColumn*	_dontDownloadTableColumn;
    NSMutableArray*	_dontDownloadTableData;
}

- (id)init;
-(void)awakeFromNib;
- (void)dealloc;
-(void)setDontDownloadTableData : (NSArray*) inData;
-(NSArray*)dontDownloadTableData;

- (int)numberOfRowsInTableView : (NSTableView *)aTableView;
- (BOOL)tableView : (NSTableView*)tableView acceptDrop : (id<NSDraggingInfo>)info row : (int)row dropOperation : (NSTableViewDropOperation)operation;
- (id)tableView : (NSTableView *)aTableView objectValueForTableColumn : (NSTableColumn *)aTableColumn row : (int)rowIndex;
- (void)tableView : (NSTableView *)aTableView setObjectValue : (id)anObject forTableColumn : (NSTableColumn *)aTableColumn row : (int)rowIndex;

- (BOOL)selectionShouldChangeInTableView : (NSTableView *)aTableView;
- (BOOL)tableView : (NSTableView *)aTableView shouldEditTableColumn : (NSTableColumn *)aTableColumn row : (int)rowIndex;
- (void)tableView : (NSTableView *) aTableViewwillDisplayCell : (id)aCell forTableColumn : (NSTableColumn *)aTableColumn row : (int)rowIndex;

@end
